Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Fields and methods of the jala.Rss20Writer class.
jala Rss20Writer(header)
Class to create, modify and render standard-compliant RSS 2.0 feeds.
parameters

String | header | Optional XML header.

methods

- getRoot()

- extendChannel(ext)

- getChannel()

- setChannel(data)

- extendItem(ext)

- createItem(data)

- addItem(item)

- addCategory(name, domain, parent)

- setImage(data)

- setTextInput(data)

inherits
createElement(data) from jala.XmlWriter
extend(template, ext) from jala.XmlWriter
addNamespace(name, url) from jala.XmlWriter
write() from jala.XmlWriter
toString() from jala.XmlWriter
clone(The) from jala.XmlWriter
Methods
jala.Rss20Writer. getRoot()
Get the writer's root element.
returns

| The writer's root element.

jala.Rss20Writer. extendChannel(ext)
Add child elements to the channel template.
parameters

Array | ext | List of additional child elements.

jala.Rss20Writer. getChannel()
Get the writer's channel element.
returns

| The writer's channel element.

jala.Rss20Writer. setChannel(data)
Populate the channel element with data.
parameters

Object | data | An XmlWriter-compliant object structure.

returns

| The populated channel element.

jala.Rss20Writer. extendItem(ext)
Add child elements to the item template.
parameters

Array | ext | List of additional child elements.

jala.Rss20Writer. createItem(data)
Get a new and innocent item element.
parameters

Object | data | An XmlWriter-compliant object structure.

returns

| A new and innocent item element.

jala.Rss20Writer. addItem(item)
Add an item element to the channel element.
parameters

jala.XmlWriter.XmlElement | item | The item element to add.

jala.Rss20Writer. addCategory(name, domain, parent)
Add a category element to an arbitrary element.
parameters

String | name | The name of the category.
String | domain | The domain of the category.
jala.XmlWriter.XmlElement | parent | The optional parent element.

jala.Rss20Writer. setImage(data)
Populate the image element with data.
parameters

Object | data | An XmlWriter-compliant object structure.

jala.Rss20Writer. setTextInput(data)
Populate the textInput element with data.
parameters

Object | data | An XmlWriter-compliant object structure.

Tue, 25 Nov 2008 16:50:13 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar